From 0716ed5da68ab81aabaa943abba41b755da96733 Mon Sep 17 00:00:00 2001
From: Masahiro Ikeda <ikedamsh@oss.nttdata.com>
Date: Wed, 12 Jun 2024 09:56:05 +0900
Subject: [PATCH] doc: Fix description of WAL summarizer and WAL writer

Fix the description of the WAL summarizer on the glossary page,
as it was incorrect. Additionally, provide more detailed
specifications for WAL writer.
---
 doc/src/sgml/glossary.sgml | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

diff --git a/doc/src/sgml/glossary.sgml b/doc/src/sgml/glossary.sgml
index a81c17a869..405fe6dc8b 100644
--- a/doc/src/sgml/glossary.sgml
+++ b/doc/src/sgml/glossary.sgml
@@ -164,6 +164,7 @@
      the <glossterm linkend="glossary-wal-archiver">WAL archiver</glossterm>,
      the <glossterm linkend="glossary-wal-receiver">WAL receiver</glossterm>
      (but not the <glossterm linkend="glossary-wal-sender">WAL senders</glossterm>),
+     the <glossterm linkend="glossary-wal-summarizer">WAL summarizer</glossterm>,
      and the <glossterm linkend="glossary-wal-writer">WAL writer</glossterm>.
     </para>
    </glossdef>
@@ -2199,7 +2200,7 @@
    <glossterm>WAL summarizer (process)</glossterm>
    <glossdef>
     <para>
-     A special <glossterm linkend="glossary-backend">backend process</glossterm>
+     An <glossterm linkend="glossary-auxiliary-proc">auxiliary process</glossterm>
      that summarizes WAL data for
      <glossterm linkend="glossary-incremental-backup">incremental backups</glossterm>.
     </para>
@@ -2213,7 +2214,8 @@
    <glossterm>WAL writer (process)</glossterm>
    <glossdef>
     <para>
-     A process that writes <glossterm linkend="glossary-wal-record">WAL records</glossterm>
+     An <glossterm linkend="glossary-auxiliary-proc">auxiliary process</glossterm>
+     that writes <glossterm linkend="glossary-wal-record">WAL records</glossterm>
      from <glossterm linkend="glossary-shared-memory">shared memory</glossterm> to
      <glossterm linkend="glossary-wal-file">WAL files</glossterm>.
     </para>
-- 
2.34.1

